Package org.eclipse.m2m.atl.adt.ui.editor

# Class AtlEditor.ExclusivePositionUpdater

java.lang.Object
org.eclipse.m2m.atl.adt.ui.editor.AtlEditor.ExclusivePositionUpdater

All Implemented Interfaces:
  `org.eclipse.jface.text.IPositionUpdater`

Enclosing class:
  AtlEditor

protected static class AtlEditor.ExclusivePositionUpdater extends Object implements org.eclipse.jface.text.IPositionUpdater
Position updater that takes any changes at the borders of a position to not belong to the position.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`ExclusivePositionUpdater(String category)`
Creates a new updater for the given `category`.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCategory()`
Returns the position category.
`void`
`update(org.eclipse.jface.text.DocumentEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExclusivePositionUpdater

public ExclusivePositionUpdater(String category)
Creates a new updater for the given `category`.

Parameters:
  `category` - the new category.

## Method Details

### getCategory

public String getCategory()
Returns the position category.

Returns:
  the position category

### update

public void update(org.eclipse.jface.text.DocumentEvent event)

Specified by:
  `update` in interface `org.eclipse.jface.text.IPositionUpdater`